﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace ContextMenuChartAxis
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public ObservableCollection<Data> ChartData { get; set; }
        public MainWindow()
        {
            InitializeComponent();

            LoadData();
            DataContext = this;
        }

        public void LoadData()
        {
            this.ChartData = new ObservableCollection<Data>();
            this.ChartData.Add(new Data { Value = 1, Label = "Item 1" });
            this.ChartData.Add(new Data { Value = 2, Label = "Item 2" });
            this.ChartData.Add(new Data { Value = 3, Label = "Item 3" });
            this.ChartData.Add(new Data { Value = 4, Label = "Item 4" });
            this.ChartData.Add(new Data { Value = 5, Label = "Item 5" });
        }
    }

    public class Data
    {
        public double Value { get; set; }

        public string Label { get; set; }
    }
}
